const deepFreeze = require('deep-freeze-strict');

const ERROR = deepFreeze(
  Object.assign({},
    {
      LAMBDA_INVOKE_ERROR: {status: 500, message: 'Could not invoke lambda function correctly.'},
      LAMBDA_SCRAPER_ERROR: {status: 500, message: 'Could not invoke lambda function correctly.'},
      REQUEST_ERROR: {status: 500, message: 'Request error occured.'},
      NIGHTMARE_ERROR: {status: 500, message: 'Nightmare error occured.'},
      HTTP_TIMEOUT: {status: 500, message: 'HTTP Timeout.'},
      CONNECTION_REFUSED: {status: 500, message: 'Connection refused.'},
      CONNECTION_RESET: {status: 500, message: 'Connection reset.'},
      SOCKET_TIMEOUT: {status: 500, message: 'Socket timeout.'},
      SOCKET_HUNG_UP: {status: 500, message: 'Socket hung up.'},
      EMPTY_RESPONSE: {status: 500, message: 'Empty response.'}
    })
);

const STRATEGY = deepFreeze({
  CASPERJS: 'casperjs',
  HTTP: 'http',
  PHANTOMJS: 'phantomjs',
  NIGHTMAREJS: 'nightmarejs'
});

module.exports = {
  STRATEGY,
  ERROR
};